<?php
 @session_start();
  $vg_login=$_SESSION["usuario"];
  if($vg_login<>""){}
 else
  {echo "<script>";
   echo "window.location='../index.php';";
   echo "</script>";
  }	
include "../parametros.php";
include "../conexion.php";

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<html>
<head>
<title>SISRECO</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<LINK href="../general.css" type=text/css rel=stylesheet>
<LINK REL="SHORTCUT ICON" HREF="../icono.ico">
<LINK href="../general.css" type=text/css rel=stylesheet>
<link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
<script src="../bootstrap/js/bootstrap.min.js"></script>

</head>
<BODY >
<?php

    $sql_datosrs=mysqli_query($conexion,"SELECT id,nombre,descripcion,marca,iva,estado,linea,grupo,unidad,empresa from producto");
	while($datos= mysqli_fetch_row($sql_datosrs))
	{
		$id=$datos[0];
	 	$nombre=$datos[1];
		$descripcion=$datos[2];
		$marca=$datos[4];
		$iva=number_format($datos[5],0,'','.');
		$estado=$datos[6];
		$linea=$datos[7];
		$grupo=$datos[8];
		$unidad=$datos[9];
		$empresa=$datos[11];	

		if($estado=='A'){$nestado="Activo";}
		if($estado=='I'){$nestado="Inactivo";}

		      $sql_datosrec=mysqli_query($conexion,"SELECT fechaingreso,cantidad,observacion,factura,id
													 from inventario where producto='".$id."'");
				while($datosrec= mysqli_fetch_row($sql_datosrec))//01
					{   
						$fechaingreso=$datosrec[0];
						$cantidad=$datosrec[1];
						$observacion=$datosrec[2];
						$factura=$datosrec[3];
						$idbodega=$datosrec[4];
						
						$sql_insert=mysqli_query($conexion,"insert into inventario_kardex(producto,fecha,observacion,origen,cantidad,tipoes,idtipoes,fecsis,horasis,usuario)
										  values('".$id."','".$fechaingreso."','".$observacion."','".$factura."','".$cantidad."','E','".$idbodega."',
										  '".$fecsis."','".$horasis."','".$vg_login."')"); 
										 
						echo "insert into inventario_kardex(producto,fecha,observacion,origen,cantidad,tipoes,idtipoes,fecsis,horasis,usuario)
										  values('".$id."','".$fechaingreso."','".$observacion."','".$factura."','".$cantidad."','E','".$idbodega."',
										  '".$fecsis."','".$horasis."','".$vg_login."')<br>";				  
										  
					 					  
				 }//01
				 
				 
				  $sql_datosrec=mysqli_query($conexion,"SELECT fecha,cantidad,factura,id
													 from venta where producto='".$id."' and estado='F'");
				while($datosrec= mysqli_fetch_row($sql_datosrec))//01
					{   
						$fechaventa=$datosrec[0];
						$cantidadV=$datosrec[1];
						$facturaV=$datosrec[2];
						$idbodegaV=$datosrec[3];
						$observacionV="VENTA";
						
						$sql_insert=mysqli_query($conexion,"insert into inventario_kardex(producto,fecha,observacion,origen,cantidad,tipoes,idtipoes,fecsis,horasis,usuario)
										  values('".$id."','".$fechaventa."','".$observacionV."','".$facturaV."','".$cantidadV."','S','".$idbodegaV."',
										  '".$fecsis."','".$horasis."','".$vg_login."')"); 
				 }//01
				 
				 
		
		 }

?>
<form name="reporte" method="post" action="" >
  <div align="center">
    <input name='cerrar' type='button'  id='rep' value='Cerrar'   class="btn btn-primary" onClick="window.close();" >
  </div>
</form>
</body>
</html>